> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/accounting/retrieve-accounting-payments-list.md).

# Retrieve accounting payments list

Use **listAccountingPayments** to retrieve extract information about accounting payments with filtering and pagination options.

The response will contains the `Downloads` and `Actions` parameters, which may contain downloadable links that are accessible **only once per each call**. If a file from the API response has already been downloaded, the next attempt will result in a **"Token expired"** error.

## Request parameters

<table><thead><tr><th>Parameters</th><th width="374">Type / Description</th></tr></thead><tbody><tr><td><code>Status</code></td><td><p><strong>String (Required)</strong></p><p>Accepted values <code>ALL</code>, <code>PAID</code>, <code>PARTIAL_PAID</code>, <code>UNPAID</code>, <code>CANCELED</code></p></td></tr><tr><td><code>InvoiceDate</code></td><td><p><strong>String (Required)</strong></p><p>Accepted values <code>anytime</code>, <code>today</code>, <code>yesterday</code>, <code>last7Days</code>, <code>last30Days</code>, <code>currentMonth</code>, <code>lastMonth</code>, <code>lastYear</code>, <code>custom</code></p></td></tr><tr><td><code>InvoiceDateStartDate</code></td><td><p><strong>String (Optional)</strong></p><p>Date in format <code>YYYY-MM-DD</code> (e.g., <code>2026-01-15</code>). Required when <code>InvoiceDate=custom</code></p></td></tr><tr><td><code>InvoiceDateEndDate</code></td><td><p><strong>String (Optional)</strong></p><p>Date in format <code>YYYY-MM-DD</code> (e.g., <code>2026-01-15</code>). Required when <code>InvoiceDate=custom</code></p></td></tr><tr><td><code>PaidOn</code></td><td><p><strong>String (Required)</strong></p><p>Accepted values <code>anytime</code>, <code>today</code>, <code>yesterday</code>, <code>last7Days</code>, <code>last30Days</code>, <code>currentMonth</code>, <code>lastMonth</code>, <code>lastYear</code>, <code>custom</code>. When not using value <code>anytime</code> can <strong>only</strong> be used with <code>Status=PAID</code> or <code>Status=PARTIAL_PAID</code></p></td></tr><tr><td><code>PaidOnStartDate</code></td><td><p><strong>String (Optional)</strong></p><p>Date in format <code>YYYY-MM-DD</code> (e.g., <code>2026-01-15</code>). Required when <code>PaidOn=custom</code>  </p></td></tr><tr><td><code>PaidOnEndDate</code></td><td><p><strong>String (Optional)</strong></p><p>Date in format <code>YYYY-MM-DD</code> (e.g., <code>2026-01-15</code>). Required when <code>PaidOn=custom</code> </p></td></tr><tr><td><code>TransactionType</code></td><td><p><strong>String (Required)</strong></p><p>Accepted values <code>ALL</code>, <code>SALES</code>, <code>SERVICES</code>, <code>ADJUSTMENTS</code>, <code>DISPUTES</code>, <code>ROLLING_RESERVE</code>, <code>AFF_COMM</code>, <code>PO</code></p></td></tr><tr><td><code>Page</code></td><td><p><strong>Interger (optional)</strong></p><p>Minimum: <code>1</code></p></td></tr><tr><td><code>Limit</code></td><td><p><strong>Interger (optional)</strong></p><p>Range: <code>1</code> to <code>1000</code></p></td></tr></tbody></table>

### Request sample

```php
<?php

declare(strict_types=1);

class Configuration
{
    public const MERCHANT_CODE = 'MERCHANT_CODE';
    public const MERCHANT_KEY = 'SECRET_KEY';
    public const URL = 'http://api.2checkout.com/soap/6.0';
    public const ACTION = 'listAccountingPayments';
    //array or JSON
    public const PAYLOAD = <<<JSON
{
    "Status": "UNPAID"
}
JSON;

}
class Client
{
    public function call(
        string $url = Configuration::URL,
        $payload = Configuration::PAYLOAD,
        string $action = Configuration::ACTION
    ): ?object {
        if (is_array($payload)) {
            $payload = json_encode($payload);
        }
        if (!empty($payload)) {
            // SoapClient works with objects(StdClass)
            $payload = json_decode($payload);
        }
        $soapClient = $this->getClient($url);
        $sessionId = $this->getSession($soapClient);
        $args = array_filter([$sessionId, $payload]);
        return $soapClient->$action(...$args);
    }

    public function getClient(string $url): SoapClient
    {
        return new SoapClient(
            $url.'?wsdl',
            [
                'location' => $url,
                'cache_wsdl' => WSDL_CACHE_NONE,
            ]
        );
    }

    public function getSession(SoapClient $client)
    {
        $date = gmdate('Y-m-d H:i:s');
        $merchantCode = Configuration::MERCHANT_CODE;
        $key = Configuration::MERCHANT_KEY;
        $string = strlen($merchantCode).$merchantCode.strlen($date).$date;
        $algo = 'sha256';
        $hash = hash_hmac($algo, $string, $key);
        $client->__setCookie('XDEBUG_SESSION', 'PHPSTORM');
        return $client->login($merchantCode, $date, $hash, $algo);
    }
}
try {
    $client = new Client();
    var_dump($client->call());
} catch (Exception $ex) {
    var_dump($ex);
}
```

## Response sample

```php
{
    "Data": [
        {   
            "InvoiceType": "Period net sales",
            "DueDate": "2026-03-16",
            "PaidOn": null,
            "Status": "Not paid",
            "Amount": 3473.41,
            "Currency": "USD",
            "Balance": 3473.41,
            "Downloads": {...},
            "Actions": [...]
        }
    ],
    "Pagination": {
        "Page": 1,
        "Limit": 50,
        "Count": 342     
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/accounting/retrieve-accounting-payments-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
